package jp.mosp.payroll.bonus.dto;

import java.util.Date;

import jp.mosp.common.common.BaseDto;

public class PtSupportDto extends BaseDto {
	
	private static final long	serialVersionUID	= -343635125381145424L;
	
	// フィールド
	private String				kCode;										// 社員コード
	private Date				startDate;									// 支援開始日
	private Date				endDate;									// 支援終了日
	private String				stationCode;								// 支援先所属コード
																			
	private String				belongStation;								// 社員所属コード
	private String				kName;										// 社員名
																			
	
	/**
	 * コンストラクタ
	 */
	public PtSupportDto() {
		super();
	}
	
	// アクセサメソッド
	public String getKCode() {
		return kCode;
	} // 社員コード
	
	public Date getStartDate() {
		return (Date)startDate.clone();
	} // 支援開始日
	
	public Date getEndDate() {
		return (Date)endDate.clone();
	} // 支援終了日
	
	public String getStationCode() {
		return stationCode;
	} // 支援先所属コード
	
	public void setKCode(String kCode) {
		this.kCode = kCode;
	} // 社員コード
	
	public void setStartDate(Date startDate) {
		this.startDate = (Date)startDate.clone();
	} // 支援開始日
	
	public void setEndDate(Date endDate) {
		this.endDate = (Date)endDate.clone();
	} // 支援終了日
	
	public void setStationCode(String stationCode) {
		this.stationCode = stationCode;
	} // 支援先所属コード
	
	public String getBelongStation() {
		return belongStation;
	} // 社員所属コード
	
	public String getKName() {
		return kName;
	} // 社員名
	
	public void setBelongStation(String belongStation) {
		this.belongStation = belongStation;
	} // 社員所属コード
	
	public void setKName(String kName) {
		this.kName = kName;
	} // 社員名
	
}
